package ru.dbotthepony.mc.otm.datagen.loot

import net.minecraft.data.DataGenerator
import net.minecraftforge.common.data.GlobalLootModifierProvider
import ru.dbotthepony.mc.otm.datagen.DataGen

class LootModifiers(generator: DataGenerator) : GlobalLootModifierProvider(generator, DataGen.MOD_ID) {
	private val lambdas = ArrayList<(LootModifiers) -> Unit>()

	fun lambda(lambda: (LootModifiers) -> Unit) {
		lambdas.add(lambda)
	}

	override fun start() {
		for (lambda in lambdas) {
			lambda.invoke(this)
		}
	}
}
