package ru.dbotthepony.mc.otm.client.screen.panels

import ru.dbotthepony.mc.otm.client.render.WidgetLocation
import ru.dbotthepony.mc.otm.client.render.element

object ScrollBarConstants {
	const val WIDTH = 14f
	const val SLIM_WIDTH = 8f
	const val TEXTURE_WIDTH = 22f
	const val TEXTURE_HEIGHT = 68f

	val TOP = 					WidgetLocation.SCROLL.element(0f, 45f, 14f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val BODY = 					WidgetLocation.SCROLL.element(0f, 46f, 14f, 6f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val BOTTOM = 				WidgetLocation.SCROLL.element(0f, 51f, 14f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)

	val BUTTON = 				WidgetLocation.SCROLL.element(0f, 0f,  12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val BUTTON_HOVER = 			WidgetLocation.SCROLL.element(0f, 15f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val BUTTON_PRESS = 			WidgetLocation.SCROLL.element(0f, 30f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val BUTTON_DISABLED = 		WidgetLocation.SCROLL.element(0f, 53f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)

	val SLIM_TOP = 				WidgetLocation.SCROLL.element(14f, 45f, 8f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val SLIM_BODY = 			WidgetLocation.SCROLL.element(14f, 46f, 8f, 6f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val SLIM_BOTTOM = 			WidgetLocation.SCROLL.element(14f, 51f, 8f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)

	val SLIM_BUTTON = 			WidgetLocation.SCROLL.element(14f, 0f,  6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val SLIM_BUTTON_HOVER = 	WidgetLocation.SCROLL.element(14f, 15f, 6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val SLIM_BUTTON_PRESS = 	WidgetLocation.SCROLL.element(14f, 30f, 6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val SLIM_BUTTON_DISABLED = 	WidgetLocation.SCROLL.element(14f, 53f, 6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
}
